ExportControllerGetQueuedExports Method |
GET /Export/Queued
Gets the pending exports which are waiting in the export queue for the specified session.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Queued")]
public HttpResponseMessage GetQueuedExports(
Guid sessionIdToQuery,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Queued")>
Public Function GetQueuedExports (
sessionIdToQuery As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Queued")]
HttpResponseMessage^ GetQueuedExports(
Guid sessionIdToQuery,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Queued")>]
member GetQueuedExports :
sessionIdToQuery : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- sessionIdToQuery
- Type: SystemGuid
The ID of the session to retrieve the pending exports of. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
HttpResponseMessage
An array of
ExportRequestOptions containing the export request data, or a status code indicating the problem.
See Also